Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
b2Simplex Struct Reference

## Public Member Functions
void | ReadCache (const b2SimplexCache *cache, const b2DistanceProxy *proxyA, const b2Transform &transformA, const b2DistanceProxy *proxyB, const b2Transform &transformB)
void | WriteCache (b2SimplexCache *cache) const
b2Vec2 | GetSearchDirection () const
b2Vec2 | GetClosestPoint () const
void | GetWitnessPoints (b2Vec2 *pA, b2Vec2 *pB) const
float32 | GetMetric () const
void | Solve2 ()
void | Solve3 ()

## Public Attributes
b2SimplexVertex | m_v1
b2SimplexVertex | m_v2
b2SimplexVertex | m_v3
int32 | m_count

The documentation for this struct was generated from the following file:

- b2Distance.cpp